<!DOCTYPE html>
<html>
    <head>
    </head>
    <body>

    <form name="form1" action="#">
      <input type='text' name='text1' placeholder="login"/>
      <input type='text' name='text2' placeholder="mdp"/>
      <input type="submit" name="submit" value="Submit" onclick="validerLogin(document.form1.text1, document.form1.text2)"/>
    </form>
    <script>

    function validerLogin(inputLogin, inputPassword)
    {
      var password = ['bonjour', 'aurevoir', 'mdp', 'salut']
      var login = ['chat', 'chien', 'oiseau', 'cheval']

      for (let i = 0; i <= login.length; i++)
      {
          if(login.find(inputLogin) && password.find(inputPassword))
          {
            alert("le login et le mdp sont valides");
          }
          else
          {
              alert("le login et le mdp ne sont pas valides");
          }

      }

    }
    </script>
    </body>
</html>
